<template>
    <v-container>
        <v-toolbar>
            <v-toolbar-title >Mes projets</v-toolbar-title>
            <v-spacer></v-spacer>
            <v-dialog v-model="dialog" persistent max-width="100vh">

                <template v-slot:activator="{ on }">
                    <v-btn  dark v-on="on">Créer</v-btn>
                </template>
                <v-card>
                    <v-card-title>
                        <span class="headline">Nouveau projet</span>
                    </v-card-title>
                    <v-card-text>
                        <v-container>
                            <v-row>
                                <v-col cols="12" sm="8" md="4">
                                    <v-text-field label="Nom *" required></v-text-field>
                                </v-col>
                                <v-col cols="12" >
                                    <v-textarea label="Description *" hint="Saisir une courte description de votre projet."></v-textarea>
                                </v-col>
                            </v-row>
                        </v-container>
                        <small>* Veuillez remplir les différents champs</small>
                    </v-card-text>
                    <v-card-actions>
                        <v-spacer></v-spacer>
                        <v-btn color="blue darken-1" text @click="dialog = false">Annuler</v-btn>
                        <v-btn color="blue darken-1" text @click="dialog = false">Enregistrer</v-btn>
                    </v-card-actions>
                </v-card>
            </v-dialog>

            <v-dialog v-model="projectmodify" persistent max-width="100vh">

                <template v-slot:activator="{ on }">
                    <v-btn  dark v-on="on">Créer</v-btn>
                </template>
                <v-card>
                    <v-card-title>
                        <span class="headline">Nouveau projet</span>
                    </v-card-title>
                    <v-card-text>
                        <v-container>
                            <v-row>
                                <v-col cols="12" sm="8" md="4">
                                    <span >Nom du projet</span>
                                </v-col>
                                <v-col cols="12" >
                                    <v-textarea label="Description *" hint="Saisir une courte description de votre projet.">

                                    </v-textarea>
                                </v-col>
                            </v-row>
                        </v-container>
                        <small>* Veuillez remplir les différents champs</small>
                    </v-card-text>
                    <v-card-actions>
                        <v-spacer></v-spacer>
                        <v-btn color="blue darken-1" text @click="dialog = false">Annuler</v-btn>
                        <v-btn color="blue darken-1" text @click="dialog = false">Enregistrer</v-btn>
                    </v-card-actions>
                </v-card>
            </v-dialog>

        </v-toolbar>

        <v-list three-line>
            <v-subheader>Projets créés</v-subheader>
            <v-list-item-group  color="primary">
                <v-list-item v-for="project in projects" :key="project.id">

                    <v-list-item-icon>
                        <v-img src="../assets/project-icon.png" max-width="50" max-height="50"></v-img>
                    </v-list-item-icon>

                    <v-list-item-content>
                        <v-list-item-title v-text="project.name"> </v-list-item-title>
                        <v-list-item-subtitle v-text="project.description"> </v-list-item-subtitle>
                        <v-list-item-subtitle v-text="project.creator"> </v-list-item-subtitle>
                    </v-list-item-content>

                    <v-list-item-action>
                        <v-list-item-action-text v-text="project.creator"> </v-list-item-action-text>
                        <br>
                        <v-list-item-action-text > Membres : {{project.members}}</v-list-item-action-text>
                    </v-list-item-action>
                </v-list-item>

            </v-list-item-group>

            <v-subheader>Projets retenus</v-subheader>

            <v-list-item-group color="primary">
                <v-list-item v-for="project in projects" :key="project.id">

                    <v-list-item-icon>
                        <v-img src="../assets/project-icon.png" max-width="50" max-height="50"></v-img>
                    </v-list-item-icon>

                    <v-list-item-content>
                        <v-list-item-title v-text="project.name" class="text--primary"> </v-list-item-title>
                        <v-list-item-subtitle v-text="project.description"> </v-list-item-subtitle>
                        <v-list-item-subtitle v-text="project.creator"> </v-list-item-subtitle>

                    </v-list-item-content>
                    <v-list-item-action>
                        <v-list-item-action-text v-text="project.creator"> </v-list-item-action-text>
                        <br>
                        <v-list-item-action-text > Membres : {{project.members}}</v-list-item-action-text>
                    </v-list-item-action>
                </v-list-item>


            </v-list-item-group>
        </v-list>

    </v-container>

</template>

<script>
    export default {
        name: "Projets",

        data: () => ({
            dialog: false,
            projects:  [
                { name: "Projet de piscine volante",
                    description: "les piscines c'est cool mais si ça vole c'est mieux",
                    creator: "Gerard",
                    members: 3,
                },
                { name: "Mineclicker",
                    description: "Jeu style clicker sur le thème de Minecraft",
                    creator: "Machin",
                    members: 10,
                },
            ],
        }),

    }

</script>

<style scoped>

</style>